org.kie.api.builder.model

## Interface KieModuleModel

-     public interface KieModuleModel

  KieModuleModel is a model allowing to programmatically define a KieModule
  See Also:
    `KieModule`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getConfigurationProperties()` Returns all the configuration properties set on this KieModuleModel
    `String` | `getConfigurationProperty(String key)` Set a configuration property for this KieModuleModel
    `Map<String,KieBaseModel>` | `getKieBaseModels()` Returns all the KieBaseModel defined in this KieModuleModel mapped by their names
    `KieBaseModel` | `newKieBaseModel()` Creates a new anonymous KieBaseModel and adds it to this KieModuleModel
    `KieBaseModel` | `newKieBaseModel(String name)` Creates a new KieBaseModel with the given name and adds it to this KieModuleModel
    `void` | `removeKieBaseModel(String name)` Removes the KieBaseModel with the give name from this KieModuleModel
    `KieModuleModel` | `setConfigurationProperty(String key, String value)` Set a configuration property for this KieModuleModel
    `String` | `toXML()`

- - ### Method Detail

    - #### setConfigurationProperty

          KieModuleModel setConfigurationProperty(String key,
                                                  String value)

      Set a configuration property for this KieModuleModel
      Parameters:
        `key` - The property key
        `value` - The property value
      Returns:
        this

    - #### getConfigurationProperty

          String getConfigurationProperty(String key)

      Set a configuration property for this KieModuleModel
      Parameters:
        `key` - The property key
      Returns:
        The property value or null if such a property hasn't been set

    - #### getConfigurationProperties

          Map<String,String> getConfigurationProperties()

      Returns all the configuration properties set on this KieModuleModel

    - #### newKieBaseModel

          KieBaseModel newKieBaseModel()

      Creates a new anonymous KieBaseModel and adds it to this KieModuleModel
      Returns:
        The new KieBaseModel

    - #### newKieBaseModel

          KieBaseModel newKieBaseModel(String name)

      Creates a new KieBaseModel with the given name and adds it to this KieModuleModel
      Parameters:
        `name` - The name of the new KieBaseModel to be created
      Returns:
        The new KieBaseModel

    - #### removeKieBaseModel

          void removeKieBaseModel(String name)

      Removes the KieBaseModel with the give name from this KieModuleModel
      Parameters:
        `name` - The name of the KieBaseModel to be removed

    - #### getKieBaseModels

          Map<String,KieBaseModel> getKieBaseModels()

      Returns all the KieBaseModel defined in this KieModuleModel mapped by their names

    - #### toXML

          String toXML()

      Returns:
        XML representation of this KieModuleModel

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.